> MME Service Configuration Mode Commands
> The MME Service Configuration Mode is used to create and manage the LTE Mobility Management Entity (MME) services for LTE/SAE network. This service works in conjunction with MME-HSS Service and eGTP Service.
> apn
> This command associates/disassociates an Access Point Name (APN) templates to use in MME service.
> Product
> MME
> Privilege
> Security Administrator, Administrator
> Syntax
> apn apn_name
> no apn apn_name
> no
> Disassociates a previously associated APN template with this MME service.
> apn_name
> Specifies the name for a pre-configured APN template to associate with this MME service.
> apn_name is a pre-configured APN template name in a context. For more information on APN template configuration, Refer apn command in Context Configuration Mode Commands chapter.
> -noconfirm
> Indicates that the command is to execute without any additional prompt and confirmation from the user.
> Warning: If this keyword option is used with no apn apn_name command the APN named apn_name will be deleted with all active/inactive subscribers without prompting any warning or confirmation.
> Usage
> Use this command to associate a pre-configured APN template with an MME service.
> The APN is a logical name for a packet data network and/or a service that the SGSN/GGSN supports access to.
> Multiple APN templates can be associated with an MME service.
> Example
> The following command associates an APN template called isp1 to an MME service:
> apn isp1
> associate
> This command associates/disassociates the supportive services like an Evolved GPRS Tunnelling Protocol (eGTP) service or an MME-HSS service with an MME service.
> Product
> MME
> Privilege
> Security Administrator, Administrator
> Syntax
> associate { egtp-service egtp_svc_name | mme-hss-service hss_svc_name} [ context ctx_name]
> no associate { egtp-service | mme-hss-service }
> no
> Disassociates a previously associated eGTP service or MME-HSS service with this MME service.
> egtp-service egtp_svc_name
> Associates an eGTP service with MME service.
> egtp_svc_name specifies the name for a pre-configured eGTP service in a context to associate with this MME service. For more information on eGTP service, refer egtp-service command in Context Configuration Mode Commands chapter.
> mme-hss-service hss_svc_name
> Associates an MME-HSS service with MME service.
> hss_svc_name specifies the name for a pre-configured MME-HSS service in a context to associate with this MME service. For more information on MME HSS service, refer mme-hss-service command in Context Configuration Mode Commands chapter.
> context ctx_name
> Specifies the specific context name where eGTP or MME-HSS service is configured. If this keyword is omitted, the named eGTP or MME-HSS service must be exist in the same context as the MME service.
> ctx_name is name of the configured context of the eGTP or MME-HSS service service. This can be from 1 to 63 alpha and/or numeric characters and is case sensitive.
> Usage
> Use this command to associate a pre-configured eGTP or MME-HSS service with an MME service.
> The eGTP service provides eGTP-U and eGTP-C protocol interface support between EPS nodes. For more information on eGTP service and supported interface type, refer eGTP Service Configuration Mode Commands chapter in Command Line Interface Reference.
> Important: Only one eGTP service can be associated to a service. The eGTP service should be configured prior to issuing this command.
> The MME-HSS service provides S6a interface support on Diameter protocol between MME and HSS. For more information on MME-HSS service and other parameters, refer MME-HSS Service Configuration Mode Commands chapter in Command Line Interface Reference.
> Important: Only one MME-HSS service can be associated to a service in this release. The eGTP service should be configured prior to issuing this command.
> Caution: This is a critical configuration. The MME service can not be started without this configuration. Any change to this configuration would lead to restarting the MME service and removing or disabling this configuration will stop the MME service.
> Example
> The following command associates a pre-configured eGTP service called egtp1 in dst_ctx context to an MME service:
> associate egtp-service egtp1 context dst_ctx
> The following command associates a pre-configured MME-HSS service called hss1 in the same context as MME service to an MME service:
> associate mme-hss-service hss1
> bind s1-mme
> This command binds the MME service to a logical IP interface serving as the S1-MME interface.
> Product
> MME
> Privilege
> Security Administrator, Administrator
> Syntax
> bind s1-mme address address
> no bind address
> no
> Removes a previously configured IP address use for binding the SCTP (local bind address) to communicate with the eNodeBs using S1-MME interface.
> address
> Specifies the IP address (address) in IPv4 or IPv6 notation for the interface configured as an S1-MME interface.
> Usage
> Use this command to associate or tie the MME service to a specific logical IP address that will be used for binding the SCTP socket to communicate with the eNodeB using S1AP. A maximum of one IP address can be configured with this command for one MME service.
> The MME passes the IP address during setting up the SCTP association with the eNodeB.
> Caution: This is a critical configuration. The MME service can not be started without this configuration. Any change to this configuration would lead to restarting the MME service and removing or disabling this configuration will stop the MME service.
> Example
> The following command would bind the logical IP interface with the address of 192.168.3.1 to the MME service to interact with eNodeB.
> bind s1-mme address 192.168.3.1
> The following command disables a binding that was previously configured:
> no bind s1-mme address
> dns
> This command associates/disassociates the Domain Name System (DNS) client service configured for DNS query in a context to select P-GW and S-GW in an MME service.
> Product
> MME
> Privilege
> Security Administrator, Administrator
> Syntax
> dns { pgw | sgw } [ context ctx_name]
> no dns { pgw | sgw }
> no
> Disassociates a previously associated context having DNS client service configured for DNS query to select P-GW or S-GW with this MME service.
> pgw
> This keyword associates the named context with DNS client service for DNS query for selection of P-GW with MME service.
> sgw
> This keyword associates the named context with DNS client service for DNS query for selection of S-GW with MME service.
> context ctx_name
> This optional keyword associates the specific context name where DNS client service is configured to select P-GW and/or S-GW for this MME service. If this keyword is omitted DNS client service must be configured in the same context as MME service.
> ctx_name is name of the configured context of the DNS client service. This can be from 1 to 63 alpha and/or numeric characters and is case sensitive.
> Usage
> Use this command to associate a pre-configured context where a DNS client service is configured with an MME service.
> The DNS Client service configured in a context provides the DNS query support to locate P-GW or S-GW from and MME service. For more information on DNS Client service and support, refer DNS Client Service Configuration Mode Commands chapter in Command Line Interface Reference.
> A maximum of one DNS client service for P-GW and one DNS client service for S-GW can be associated with an MME service.
> Example
> The following command associates a pre-configured context dns_ctx1 where a DNS client service is configured for DNS query to P-GW from an MME service:
> dns pgw context dns_ctx1
> The following command associates a pre-configured context dns_ctx2 where a DNS client service is configured for DNS query to S-GW from an MME service:
> dns sgw context dns_ctx2
> emm
> This command defines the Evolved Mobility Management timer parameters like timeout durations for timers for the NAS message retransmission in MME service.
> Product
> MME
> Privilege
> Security Administrator, Administrator
> Syntax
> default emm {mobile-reachable-timeout | t3412-timeout | T3413-timeout | T3422-timeout | T3423-timeout | T3450-timeout | T3460-timeout | T3470-timeout }
> no emm implicit-detach-timeout
> default
> Resets the specified timer timeout to the system default value.
> no
> Removes the specified EMM timeout definition from the configuration.
> implicit-detach-timeout detach_dur
> Default: 5640
> Sets the timer timeout duration after which subscriber will implicitly detached from the network if there is no activity. Generally this timer value is 240 seconds (4 minutes) more than the timeout value of T3423 timer.
> This timer starts when mobile reachable timer expires while the network is in EMM-IDLE mode and ISR is activated and stops when NAS signalling connection established.
> detach_dur is timeout duration in seconds and must be an integer from 1 through 12000.
> mobile-reachable-timeout mob_reach_dur
> Default: 5640
> Sets the timeout timer duration after which reachability procedure will be discarded and reattempt starts.
> mob_reach_dur is timeout duration in seconds and must be an integer from 1 through 12000.
> t3412-timeout t3412_dur
> Default: 5400
> Sets the timeout duration for T3412 timer. This timer is used for periodic tracking area update (P-TAU). When this timer expires, the periodic tracking area updating procedure starts and the timer is set to its initial value for the next start.
> This timer starts when the UE goes from EMM-CONNECTED to EMM-IDLE mode and stops when the UE enters EMM-CONNECTED mode.
> t3412_dur is timeout duration in seconds and must be an integer from 1 through 11160.
> T3413-timeout t3413_dur
> Default: 10
> Sets the timeout duration for T3413 timer. The timer starts when MME initiates the EPS paging procedure to the EMM entity in the network and requests the lower layer to start paging. This timer stops for the paging procedure when a response received from the UE.
> t3413_dur is timeout duration in seconds and must be an integer from 1 through 20.
> T3422-timeout t3422_dur
> Default: 10
> Sets the timeout duration for T3422 timer. This timer starts when MME initiates the detach procedure by sending a DETACH REQUEST message to the UE and stops upon receipt of the DETACH ACCEPT message.
> t3422_dur is timeout duration in seconds and must be an integer from 1 through 20.
> T3423-timeout t3423_dur
> Default: 5400
> Sets the timeout duration for T3423 timer. This timer starts when UE enters the EMM-DEREGISTERED state or when entering EMM-CONNECTED mode. It stops while the UE is in EMM-REGISTERED.NO-CELL-AVAILABLE state and Idle mode Signalling Reduction (ISR) is activated.
> t3423_dur is timeout duration in seconds and must be an integer from 1 through 11160.
> T3450-timeout t3450_dur
> Default: 6
> Sets the timeout duration for T3450 timer. This timer starts when MME initiates the Globally Unique Temporary Identifier (GUTI) reallocation procedure by sending a GUTI REALLOCATION COMMAND message to the UE and stops upon receipt of the GUTI REALLOCATION COMPLETE message.
> This timer is also used for Tracking area update procedure.
> t3450_dur is timeout duration in seconds and must be an integer from 1 through 20.
> T3460-timeout t3460_dur
> Default: 6
> Sets the timeout duration for T3460 timer. The timers starts when the network initiates the authentication procedure by sending an AUTHENTICATION REQUEST message to the UE and stops upon receipt of the AUTHENTICATION RESPONSE message.
> t3460_dur is timeout duration in seconds and must be an integer from 1 through 20.
> T3470-timeout t3470_dur
> Default: 6
> Sets the timeout duration for T3470 timer. The MME starts this timer when the network initiates the identification procedure by sending an IDENTITY REQUEST message to the UE and stops upon receipt of the IDENTITY RESPONSE message.
> t3470_dur is timeout duration in seconds and must be an integer from 1 through 20.
> Usage
> Use this command to set EMM timers.
> Following tables describe the triggers and states for timers:
> EPS mobility management timers – UE side

> Timer | State | Cause of Start | Normal Stop | On Expiry
> T3402 |
> • | EMM-DEREGISTERED
> • | EMM-REGISTERED
> • | At attach failure and the attempt counter is equal to 5.
> • | At tracking area updating failure and the attempt counter is equal to 5.
> • | ATTACH REQUEST sent
> • | TRACKING AREA UPDATE REQUEST sent
> | Initiation of the attach procedure or TAU procedure
> T3410 | EMM-REGISTERED-INITIATED | ATTACH REQUEST sent |
> • | ATTACH ACCEPT received
> • | ATTACH REJECT received
> | Start T3411 or T3402 as described in subclause 5.5.1.2.6
> T3411 |
> • | EMM-DEREGISTERED. ATTEMPTING-TO-ATTACH
> • | EMM-REGISTERED. ATTEMPTING-TO-UPDATE
> • | At attach failure due to lower layer failure, T3410 timeout or attach rejected with other EMM cause values than those treated in subclause 5.5.1.2.5.
> • | At tracking area updating failure due to lower layer failure, T3430 timeout or TAU rejected with other EMM cause values than those treated in subclause 5.5.3.2.5.
> • | ATTACH REQUEST sent
> • | TRACKING AREA UPDATE REQUEST sent
> | Retransmission of the ATTACH REQUEST or TRACKING AREA UPDATE REQUEST
> T3412 | EMM-REGISTERED | In EMM-REGISTERED, when EMM-CONNECTED mode is left. |
> • | When entering state EMM-DEREGISTERED or
> • | When entering EMM-CONNECTED mode.
> | Initiation of the periodic TAU procedure
> T3416 |
> • | EMM-REGISTERED-INITIATED
> • | EMM-REGISTERED
> • | EMM-DEREGISTERED-INITIATED
> • | EMM-TRACKING-AREA-UPDATING-INITIATED
> • | EMM-SERVICE-REQUEST-INITIATED
> | RAND and RES stored as a result of a UMTS authentication challenge |
> • | SECURITY MODE COMMAND received
> • | SERVICE REJECT received
> • | TRACKING AREA UPDATE ACCEPT received
> • | AUTHENTICATION REJECT received
> • | AUTHENTICATION FAILURE sent
> • | EMM-DEREGISTERED or EMM-NULL entered
> | Delete the stored RAND and RES
> T3417 | EMM-SERVICE-REQUEST-INITIATED |
> • | SERVICE REQUEST sent
> • | EXTENDED SERVICE REQUEST sent in case f and g in subclause 5.6.1.1
> • | Bearers have been set up
> • | SERVICE REJECT received
> | Abort the procedure
> T3417ext | EMM-SERVICE-REQUEST-INITIATED |
> • | EXTENDED SERVICE REQUEST sent in case d in subclause 5.6.1.1
> • | EXTENDED SERVICE REQUEST sent in case e in subclause 5.6.1.1 and the CSFB response was set to “CS fallback accepted by the UE”.
> • | Inter-system change from S1 mode to A/Gb mode or Iu mode is completed
> • | Inter-system change from S1 mode to A/Gb mode or Iu mode is failed
> • | SERVICE REJECT received
> | Abort the procedure
> T3418 |
> • | EMM-REGISTERED-INITIATED
> • | EMM-REGISTERED
> • | EMM-TRACKING-AREA-UPDATING-INITIATED
> • | EMM-DEREGISTERED-INITIATED
> • | EMM-SERVICE-REQUEST-INITIATED
> | AUTHENTICATION FAILURE (EMM cause = #20 “MAC failure” or #26 “Non-EPS authentication unacceptable”) sent | AUTHENTICATION REQUEST received | On first expiry, the UE should consider the network as false
> T3420 |
> • | EMM-REGISTERED-INITIATED
> • | EMM-REGISTERED
> • | EMM-DEREGISTERED-INITIATED
> • | EMM-TRACKING-AREA-UPDATING-INITIATED
> • | EMM-SERVICE-REQUEST-INITIATED
> | AUTHENTICATION FAILURE (cause = #21 “synch failure”) sent | AUTHENTICATION REQUEST received | On first expiry, the UE should consider the network as false
> T3421 | EMM-DEREGISTERED-INITIATED | DETACH REQUEST sent | DETACH ACCEPT received | Retransmission of DETACH REQUEST
> T3423 | EMM-REGISTERED | T3412 expires while the UE is in EMM-REGISTERED.NO-CELL-AVAILABLE and ISR is activated. |
> • | When entering state EMM-DEREGISTERED or
> • | When entering EMM-CONNECTED mode.
> | Set TIN to “P‑TMSI”
> T3430 | EMM-TRACKING-AREA-UPDATING-INITIATED | TRACKING AREA UPDATE REQUEST sent |
> • | TRACKING AREA UPDATE ACCEPT received
> • | TRACKING AREA UPDATE REJECT received
> | Start T3411 or T3402 as described in subclause 5.5.3.2.6
> T3440 |
> • | EMM-REGISTERED-INITIATED
> • | EMM-TRACKING-AREA-UPDATING-INITIATED
> • | EMM-DEREGISTERED-INITIATED
> • | EMM-SERVICE-REQUEST-INITIATED
> • | EMM-REGISTERED
> • | ATTACH REJECT, DETACH REQUEST, TRACKING AREA UPDATE REJECT with any of the EMM cause values #11, #12, #13, #14 or #15
> • | SERVICE REJECT received with any of the EMM cause values #11, #12, #13 or #15
> • | TRACKING AREA UPDATE ACCEPT received after the UE sent TRACKING AREA UPDATE REQUEST in EMM-IDLE mode with no “active” flag
> • | Signalling connection released
> • | Bearers have been set up
> | Release the signalling connection and proceed as described in subclause 5.3.1.2
> T3442 | EMM-REGISTERED | SERVICE REJECT received with EMM cause #39 | TRACKING AREA UPDATE REQUEST sent | None
> NOTE 1: The default value of this timer is used if the network does not indicate another value in an EMM signalling procedure.
> NOTE 2: The value of this timer is provided by the network operator during the attach and tracking area updating procedures.
> NOTE 3: The value of this timer may be provided by the network in the ATTACH ACCEPT message and TRACKING AREA UPDATE ACCEPT message. The default value of this timer is identical to the value of T3412.
> NOTE 4: The value of this timer is provided by the network operator when a service request for CS fallback is rejected by the network with EMM cause #39 “CS domain temporarily not available”.

> ‌
> EPS mobility management timers – network side

> Timer | State | Cause of Start | Normal Stop | On Expiry1st, 2nd, 3rd, 4th EXPIRY (NOTE 1)
> T3413 | EMM-REGISTERED | Paging procedure initiated | Paging procedure completed | Network dependent
> T3422 | EMM-DEREGISTERED-INITIATED | DETACH REQUEST sent | DETACH ACCEPT received | Retransmission of DETACH REQUEST
> T3450 | EMM-COMMON-PROC-INIT |
> • | ATTACH ACCEPT sent
> • | TRACKING AREA UPDATE ACCEPT sent with GUTI
> • | GUTI REALLOCATION COMMAND sent
> • | ATTACH COMPLETE received
> • | TRACKING AREA UPDATE COMPLETE received
> • | GUTI REALLOCATION COMPLETE received
> | Retransmission of the same message type, i.e. ATTACH ACCEPT, TRACKING AREA UPDATE ACCEPT or GUTI REALLOCATION COMMAND
> T3460 | EMM-COMMON-PROC-INIT |
> • | AUTHENTICATION REQUEST sent
> • | SECURITY MODE COMMAND sent
> • | AUTHENTICATION RESPONSE received
> • | AUTHENTICATION FAILURE received
> • | SECURITY MODE COMPLETE received
> • | SECURITY MODE REJECT received
> | Retransmission of the same message type, i.e. AUTHENTICATION REQUEST or SECURITY MODE COMMAND
> T3470 | EMM-COMMON-PROC-INIT | IDENTITY REQUEST sent | IDENTITY RESPONSE received | Retransmission of IDENTITY REQUEST
> Mobile reachable timer | All except EMM-DEREGISTERED | Entering EMM-IDLE mode | NAS signalling connection established | Network dependent, but typically paging is halted on 1st expiry
> Implicit detach timer | All except EMM-DEREGISTERED | The mobile reachable timer expires while the network is in EMM-IDLE mode and ISR is activated | NAS signalling connection established | Implicitly detach the UE on 1st expiry
> NOTE 1: Typically, the procedures are aborted on the fifth expiry of the relevant timer. Exceptions are described in the corresponding procedure description.
> NOTE 2: The value of this timer is network dependent.

> ‌
> EPS session management timers – UE side

> Timer | State | Cause of Start | Normal Stop | On Expiry1st, 2nd, 3rd, 4th EXPIRY (NOTE 1)
> T3480 | PROCEDURE TRANSACTION PENDING | BEARER RESOURCE ALLOCATION REQUEST sent | ACTIVATE DEDICATED EPS BEARER CONTEXT REQUEST received or MODIFY EPS BEARER CONTEXT REQUEST received or BEARER RESOURCE ALLOCATION REJECT received | Retransmission of BEARER RESOURCE ALLOCATION REQUEST
> T3481 | PROCEDURE TRANSACTION PENDING | BEARER RESOURCE MODIFICATION REQUEST sent | ACTIVATE DEDICATED EPS BEARER CONTEXT REQUEST received or MODIFY EPS BEARER CONTEXT REQUEST received or DEACTIVATE EPS BEARER CONTEXT REQUEST received or BEARER RESOURCE MODIFICATION REJECT received | Retransmission of BEARER RESOURCE MODIFICATION REQUEST
> T3482 | PROCEDURE TRANSACTION PENDING | An additional PDN connection is requested by the UE which is not combined in attach procedure | ACTIVE DEFAULT EPS BEARER CONTEXT REQUEST received or PDN CONNECTIVITY REJECT received | Retransmission of PDN CONNECTIVITY REQUEST
> T3492 | PROCEDURE TRANSACTION PENDING | PDN DISCONNECT REQUEST sent | DEACTIVATE EPS BEARER CONTEXT REQUEST received or PDN DISCONNECT REJECT received | Retransmission of PDN DISCONNECT REQUEST
> NOTE 1: Typically, the procedures are aborted on the fifth expiry of the relevant timer. Exceptions are described in the corresponding procedure description.

> ‌
> EPS session management timers – Network side

> Timer | State | Cause of Start | Normal Stop | On Expiry1st, 2nd, 3rd, 4th EXPIRY (NOTE 1)
> T3485 | BEARER CONTEXT ACTIVE PENDING |
> • | ACTIVATE DEFAULT EPS BEARER CONTEXT REQUEST sent
> • | ACTIVATE DEDICATED EPS BEARER CONTEXT REQUEST sent
> • | ACTIVATE DEFAULT EPS BEARER CONTEXT ACCEPT received or
> • | ACTIVATE DEFAULT EPS BEARER CONTEXT REJECT received or
> • | ACTIVATE DEDICATED EPS BEARER CONTEXT ACCEPT received or
> • | ACTIVATE DEDICATED EPS BEARER CONTEXT REJECT received
> | Retransmission of the same message
> T3486 | BEARER CONTEXT MODIFY PENDING | MODIFY EPS BEARER CONTEXT REQUEST sent |
> • | MODIFY EPS BEARER CONTEXT ACCEPT received or
> • | MODIFY EPS BEARER CONTEXT REJECT received
> | Retransmission of MODIFY EPS BEARER CONTEXT REQUEST
> T3489 | PROCEDURE TRANSACTION PENDING | ESM INFORMATION REQUEST sent | ESM INFORMATION RESPONSE received | Retransmission of ESM INFORMATION REQUEST on 1st and 2nd expiry only
> T3495 | BEARER CONTEXT INACTIVE PENDING | DEACTIVATE EPS BEARER CONTEXT REQUEST sent | DEACTIVATE EPS BEARER CONTEXT ACCEPT received | Retransmission of DEACTIVATE EPS BEARER CONTEXT REQUEST
> NOTE 1: Typically, the procedures are aborted on the fifth expiry of the relevant timer. Exceptions are described in the corresponding procedure description.

> ‌
> This command can be repeated to set each timer as needed.
> The retransmission of all type of NAS messages can be configured through nas-max-retransmissions command.
> Example
> The following command sets the timeout value for EPS paging procedure timer T3413 for 10 seconds.
> emm t3413-timeout 10
> end
> Exits the current mode and returns to the Exec Mode.
> Product
> All
> Privilege
> Security Administrator, Administrator
> Syntax
> end
> Usage
> Change the mode back to the Exec mode.
> encryption-algorithm-lte
> This command configures the precedence for LTE encryption algorithms to use for security procedures through this MME service.
> Product
> MME
> Privilege
> Security Administrator, Administrator
> Syntax
> encryption-algorithm-lte priority1 {128-eea0 | 128-eea1 | 128-eea2} [priority2 {128-eea0 | 128-eea1 | 128-eea2}] [priority3 {128-eea0 | 128-eea1 | 128-eea2}]
> default encryption-algorithm-lte
> default
> Sets the default LTE encryption algorithm for security procedures with configured priority value. Default configuration of LTE encryption algorithm is:

> • | priority1 with 128-eea0 encryption algorithm

> • | priority2 with 128-eea1 encryption algorithm

> • | priority3 with 128-eea2 encryption algorithm

> priority1
> Specifies the preference of integrity algorithm for security procedures on this MME service as priority 1.
> Least value has highest preference.
> priority2
> Specifies the preference of integrity algorithm for security procedures on this MME service as priority 2.
> Least value has highest preference.
> priority3
> Specifies the preference of integrity algorithm for security procedures on this MME service as priority 3.
> Least value has highest preference.
> 128-eea0
> Default: Enabled
> This keyword sets the Null ciphering algorithm (128-EEA0) for LTE encryption as the encryption algorithm for security procedures.
> 128-eea1
> Default: Disabled
> This keyword sets the SNOW 3G synchronous stream ciphering algorithm (128-EEA1) for LTE encryption as the encryption algorithm for security procedures. SNOW 3G is a stream cipher that forms the base of the 3GPP confidentiality algorithm UEA2 and the 3GPP integrity algorithm UIA2.
> 128-eea2
> Default: Disabled
> This keyword sets the Advance Encryption Standard (AES) ciphering algorithm (128-EEA2) for LTE encryption as the encryption algorithm for security procedures.
> Usage
> Use this command to set the LTE encryption algorithms for security procedures to use with this MME service.
> Caution: When this command is executed, all the existing priority to algorithm mappings will be removed and the newly configured ones will be applicable for security procedures.
> Caution: Configuration of same algorithm to multiple priorities is prohibited.
> Example
> The following command sets the 128-EEA1 as the LTE encryption algorithm with priority 2 for security procedures with an MME service.
> encryption-algorithm-lte priority2 128-eea1
> esm
> This command defines the Evolved Session Management timer parameters like timeout durations for timers for the retransmission of NAS messages in MME service.
> Product
> MME
> Privilege
> Security Administrator, Administrator
> Syntax
> default esm {t3485-timeout|T3495-timeout}
> default
> Resets the specified Evolved Session Management timer timeout to the system default value.
> t3485-timeout t3485_dur
> Default: 6
> Sets the timeout duration for T3485 timer. This timer is used for default EPS bearer context activation procedure.
> This timer starts when the MME sends ACTIVATE DEFAULT EPS BEARER CONTEXT REQUEST message to UE and stops when receives ACTIVATE DEFAULT EPS BEARER CONTEXT ACCEPT or ACTIVATE DEFAULT EPS BEARER CONTEXT REJECT message from UE.
> t3485_dur is timeout duration in seconds and must be an integer from 1 through 60.
> T3495-timeout t3495_dur
> Default: 6
> Sets the timeout duration for T3485 timer. This timer is used for default EPS bearer context deactivation procedure.
> This timer starts when the MME sends DEACTIVATE EPS BEARER CONTEXT REQUEST message to UE and stops when receives DEACTIVATE EPS BEARER CONTEXT ACCEPT or DEACTIVATE EPS BEARER CONTEXT REJECT message from UE.
> t3495_dur is timeout duration in seconds and must be an integer from 1 through 60.
> Usage
> Use this command to set Evolved Session Management timers.
> Following tables describe the triggers and states for timers:
> EPS session management timers – Network side

> Timer | State | Cause of Start | Normal Stop | On Expiry1st, 2nd, 3rd, 4th EXPIRY (NOTE 1)
> T3485 | BEARER CONTEXT ACTIVE PENDING |
> • | ACTIVATE DEFAULT EPS BEARER CONTEXT REQUEST sent
> • | ACTIVATE DEDICATED EPS BEARER CONTEXT REQUEST sent
> • | ACTIVATE DEFAULT EPS BEARER CONTEXT ACCEPT received or
> • | ACTIVATE DEFAULT EPS BEARER CONTEXT REJECT received or
> • | ACTIVATE DEDICATED EPS BEARER CONTEXT ACCEPT received or
> • | ACTIVATE DEDICATED EPS BEARER CONTEXT REJECT received
> | Retransmission of the same message
> T3495 | BEARER CONTEXT INACTIVE PENDING | DEACTIVATE EPS BEARER CONTEXT REQUEST sent | DEACTIVATE EPS BEARER CONTEXT ACCEPT received | Retransmission of DEACTIVATE EPS BEARER CONTEXT REQUEST
> NOTE 1: Typically, the procedures are aborted on the fifth expiry of the relevant timer. Exceptions are described in the corresponding procedure description.

> ‌
> This command can be repeated to set each timer as needed.
> The retransmission of all type of NAS messages can be configured through nas-max-retransmissions command.
> Example
> The following command sets the timeout value for default EPS bearer context activation procedure timer T3485 for 10 seconds.
> esm t3485-timeout 10
> exit
> Exits the current mode and returns to the previous mode.
> Product
> All
> Privilege
> Security Administrator, Administrator
> Syntax
> exit
> Usage
> Return to the previous mode.
> imei
> This command sets the mobile equipment identity (MEI) query criteria with different attributes like IMEI and IMEI-SV for UE related procedures.
> Product
> MME
> Privilege
> Security Administrator, Administrator
> Syntax
> imei-query-type {none | imei | imei-sv}
> default imei-query-type
> default
> Sets the UE query criteria to its default type of “none”.
> imei
> This keyword sets the MEI query type to IMEI. International Mobile Equipment Identity (IMEI) will be used as criteria for MEI query with this MME service.
> imei-sv
> This keyword sets the MEI query type to IMEI-SV. International Mobile Equipment Identity (IMEI) and software version (SV) will be used as criteria for MEI query with this MME service.
> none
> This keyword sets the MEI query type to “none”. Neither IMEI nor IMEI-SV will be used as criteria for MEI query with this MME service.
> Usage
> Use this command to MEI query criteria for UE related procedures with an MME service.
> MME has to do following procedure with reference to MEI query:

> • | Retrieve MEI from UE during security mode procedure

> • | Store in local IMSI DB

> • | Send MEI to HSS in ULR

> • | Send MEI to SGW in Create Session Request

> • | monitor subscriber support using MEI as a key

> Query type described with this command will be applicable for all above mentioned procedures.
> Example
> The following command sets the MEI query type to IMEI for UE related procedures:
> imei-query-type imei
> integrity-algorithm-lte
> This command configures the precedence of LTE integrity algorithms to use for security procedures through this MME service. By default integrity algorithm is enabled on MME service, which cannot be disabled.
> Product
> MME
> Privilege
> Security Administrator, Administrator
> Syntax
> default integrity-algorithm-lte
> default
> Removes the preconfigured integrity algorithm and sets the default LTE integrity algorithm for security procedures. Default configuration of LTE integrity algorithm is:

> • | priority1 with 128-eia1 integrity algorithm

> • | priority2 with 128-eia2 integrity algorithm

> priority1
> Specifies the preference of integrity algorithm for security procedures on this MME service as priority 1.
> This is the mandatory and default priority keyword.
> priority2
> Specifies the preference of integrity algorithm for security procedures on this MME service as priority 2.
> 128-eia1
> Default: Disabled
> This keyword sets the SNOW 3G synchronous stream ciphering algorithm (128-EIA1) for LTE integrity as the integrity algorithm for security procedures. SNOW 3G is a stream cipher that forms the base of the 3GPP confidentiality algorithm UEA2 and the 3GPP integrity algorithm UIA2.
> 128-eia2
> Default: Enabled
> This keyword sets the Advance Encryption Standard (AES) ciphering algorithm (128-EIA2) for LTE integrity as the integrity algorithm for security procedures.
> Usage
> Use this command to set the LTE integrity algorithms for security procedures to use with this MME service.
> Warning: Integrity algorithm is a mandatory aspect and can not be disabled in MME service.
> Caution: When this command is executed, all the existing priority to algorithm mappings will be removed and the newly configured ones will be applicable for security procedures.
> Caution: Configuration of same algorithm to multiple priorities is prohibited.
> Example
> The following command sets the AES ciphering algorithms (128-EIA2) as the LTE integrity algorithm with priority as 1 for security procedures with an MME service.
> integrity-algorithm-lte priority1 128-eia2
> location-reporting
> This command enables the location reporting functionality for UE on MME service.
> Product
> MME
> Privilege
> Security Administrator, Administrator
> Syntax
> [no | default] location-reporting
> default
> Disables the location reporting feature on MME service.
> no
> Disables the location reporting feature on MME service.
> Usage
> Use this command to enable/disable the UE location reporting feature on MME serivce.
> Example
> The following command sets the MME service to provide the location reporting functionality for UE:
> location-reporting
> max-bearers per-subscriber
> This command specifies the maximum number of EPS bearers that a subscriber may simultaneously use to access this MME service.
> Product
> MME
> Privilege
> Security Administrator, Administrator
> Syntax
> max-bearers per-subscriber max_bearer
> default max-bearers per-subscriber
> default
> Configures the maximum EPS bearers for a subscriber to use simultaneously to default value of 11.
> max_bearer
> Default: 11
> Specifies the maximum number of EPS bearers for a subscriber may simultaneously use to access this MME service.
> max_bearer can be configured to any integer value between 1 and 11.
> Usage
> Use this command to set the maximum number of EPS bearers that a subscriber may simultaneously use to access this MME service.
> Example
> The following command specifies that a maximum of 6 simultaneous EPS bearers can be facilitated for a subscriber at any given time.
> max-bearers per-subscriber 6
> max-paging-attempts
> This command configures the maximum number of paging attempt retransmission allowed for network requested service creation to a subscriber while first attempt failed.
> Product
> MME
> Privilege
> Security Administrator, Administrator
> Syntax
> max-paging-attempt max_paging_retry
> default max-paging-attempt
> default
> Configures the maximum number of retransmission of paging request to default value of 3.
> max_paging_retry
> Default: 3
> Specifies the maximum number of paging attempt retransmission allowed for network requested service creation to a subscriber while first attempt failed.
> max_paging_retry can be configured to any integer value between 1 and 10.
> Usage
> Use this command to set the maximum number of paging attempt retransmission allowed for network requested service creation to a subscriber while first attempt failed.
> Example
> The following command specifies that a maximum of 6 paging attempt retransmission allowed for network requested service creation to a subscriber while first attempt failed for a subscriber at any given time.
> max-paging-attempt 6
> max-pdns per-subscriber
> This command specifies the maximum number of PDNs that a subscriber may simultaneously access through this MME service.
> Product
> MME
> Privilege
> Security Administrator, Administrator
> Syntax
> max-pdns per-subscriber max_pdn
> default max-pdns per-subscriber
> default
> Configures the maximum PDNs for a subscriber simultaneously access through this MME service to default value of 3 PDNs.
> max_pdn
> Default: 3
> Specifies the maximum number of PDNs that a subscriber may simultaneously access through this MME service.
> max_pdn can be configured to any integer value between 1 and 11.
> Usage
> Use this command to set the maximum number of PDNs that a subscriber may simultaneously access through this MME service.
> Example
> The following command specifies that a maximum of 2 simultaneous PDNs can be accessed by a subscriber at any given time through this MME service.
> max-pdns per-subscriber 6
> mme-id
> This command configures the MME identifier with an MME service. MME identifier is constructed with MME group ID and MME Code.
> Product
> MME
> Privilege
> Security Administrator, Administrator
> Syntax
> mme-id group-id grp_id mme-code mme_code
> no mme-id
> no
> Removes the configured MME identifier for this MME service.
> Caution: Removing the MME identifier is a disruptive operation; the MME service shall be removed from the service.
> group-id grp_id
> Specifies the group identifier of for the group of which this MME is belongs to.
> grp_id must be an integer value from 0 through 65535.
> mme-code mme_code
> Specifies the unique code for this MME service.
> mme_code must be an integer value from 0through 255.
> Usage
> Use this command to set the MME identifier for this MME service. This MME identifier will be the identity of this MME in network.
> Caution: Changing or removing the MME identifier is a disruptive operation; the MME service shall be re-started or removed from service.
> Example
> The following command configures the MME identifier with group id as 1025 and MME code as 101 for this MME service.
> mme-id group-id 1025 mme-code 101
> nas-max-retransmission
> This command sets the retransmission counter for all type of NAS messages in an MME service.
> Product
> MME
> Privilege
> Security Administrator, Administrator
> Syntax
> nas-max-retransmissions nas_retrans_count
> default nas-max-retransmissions
> default
> Resets the retransmission counter to the system default value of 4.
> nas_retrans_count
> Default: 4
> Sets the maximum number of retransmission of NAS messages permitted during any procedure after which activation procedure will be discarded.
> nas_retrans_count is number of retransmission allowed and must be an integer from 1 through 10.
> Usage
> Use this command to set maximum number of retries allowed for any type of NAS messages.
> NAS Messages send by the MME which require a response from the UE for procedure completion are retransmitted. Retransmission happens based on timer expiry. The timers are configured through emm and esm command. The NAS messages are retransmitted as per configuration, and if no response from the UE is received, the pending transaction is abandoned. If the transaction is a DETACH or PDN DISCONNECT REQUEST, the transaction is completed without further UE signaling.
> The timeout duration configured through emm and esm command will be applicable between two retries.
> Example
> The following command sets the maximum number of retries allowed as 4 for all type of NAS messages in an MME service.
> default nas-max-retransmissions
> nri
> This command specifies the Network Resource Identifier (NRI) stored in bit 17 to bit 23 of Globally Unique Temporary Identity (GUTI) to be retrieved by MME service.
> Product
> MME
> Privilege
> Security Administrator, Administrator
> Syntax
> nri length length [ value value]
> no nri [ value ]
> no
> Removes the configured NRI value and location in GUTI for retrieval by this MME service.
> length length
> Specifies the length of bits to be used in the GUTI to retrieve NRI information. This starts from bit 23 to bit 17 of GUTI.
> length must be an integer from 1 to 6.
> value value
> Specifies the value of NRI to retrieve from GUTI. This value should not exceed the maximum possible value for the specified bit length. For example, if length specified is 3 bit the value should not exceed 7 and if length specified is 5 the value should not exceed 31.
> value must be an integer from 0 to 63.
> Usage
> Use this command to retrieve the NRI stored in GUTI bit 17 to bit 23.
> Example
> The following command specifies the length of NRI information as 5 bit and value to retrieve as 23 from GUTI:
> nri length 5 value 23
> pgw-address
> This command configures the PDN Gateway (P-GW) address to use P-MIP protocol for S5 and S8 interface and other parameters with MME service. By default S5 and S8 use GTP protocol for this.
> Product
> MME
> Privilege
> Security Administrator, Administrator
> Syntax
> pgw-address address [ s5-s8-protocol pmip] [ weight value]
> no pgw-address address [ s5-s8-protocol pmip ]
> no
> Removes a previously configured IP address of P-GW along with S5 and S8 interface of P-MIP protocol type and other parameters from this MME service.
> address
> Specifies the IP address of the P-GW.
> address must be an IP address in IPv4 or IPv6 notation.
> s5-s8-protocol pmip
> Specifies that P-MIP type of protocol to use for S5 and S8 interfaces with P-GW. By default S5 and S8 interface uses GTP protocol.
> pmip Sets the protocol to Proxy-MIP for S5 and S8 interface as by default GTP is the applicable protocol.
> weight value
> Assigns the weight to P-GW address to use as a preferred P-GW.
> value must be an integer from 1 through 100. Lowest value has the least preference.
> Usage
> Use this command to configure the PDN Gateway (P-GW) addresses to use with MME service. This command also changes the default protocol or GTP to P-MIP for the S5 and S8 interface and weight to share the load between associated P-GWs. A maximum of 16 P-GW addresses can be configured with this command.
> This command only changes the use of protocol in S5 and S8 interface. By default P-GW uses GTP protocol for S5 and S8 interfaces. By this command user can change the protocol to P-MIP for S5 and S8 interface.
> When weight is used, the weights of the P-GW(s) (that are operational) are totaled and then weighted round-robin selection is used to distribute new default bearer context among the P-GW(s) according to their weights.
> Example
> The following command associates the P-GW IP address of 192.168.3.1 to the MME service with S5 and S8 protocol as P-MIP and weight as 90.
> pgw-address 192.168.3.1 s5-s8-protocol pmip weight 90
> The following command removes the above configured P-GW IP address and other parameters:
> no pgw-address 192.168.3.1 s5-s8-protocol pmip
> plmn-id
> This command configures the Public Land Mobile Network (PLMN) identifier for this MME service. PLMN identifier is made of Mobile Country Code (MCC) and Mobile Network Code (MNC). A maximum of 16 PLMN id can be configured in an MME service.
> Product
> MME
> Privilege
> Security Administrator, Administrator
> Syntax
> plmn-id mcc mcc_value mnc mnc_value
> no plmn-id mcc mcc_value mnc mnc_value
> no
> Removes the configured PLMN identifier for this MME service.
> Caution: Removing the PLMN identifier is a disruptive operation; the MME service shall be re-started.
> mcc mcc_value
> Specifies the mobile country code (MCC) part of PLMN identifier.
> mcc_value must be an integer value from 101 through 998.
> mnc mnc_value
> Specifies the mobile network code (MNC) part of PLMN identifier.
> mcc_value must be an integer value from 01 through 99 or 100 through 998.
> Usage
> Use this command to set the PLMN identifier for this MME service.
> Caution: Changing or removing the PLMN identifier is a disruptive operation; the MME service shall be re-started.
> A maximum of 16 PLMN identifiers are supported for an MME service.
> Example
> The following command configures the PLMN identifier with MCC value as 102 and MNC value as 20 for this MME service.
> plmn-id mmc 102 mnc 20
> policy idle-mode
> This command configures the user-defined policies of session management for LTE subscriber in an MME service.
> Product
> MME
> Privilege
> Security Administrator, Administrator
> Syntax
> policy idle-mode detach {explicit | implicit}
> [default] policy idle-mode detach
> default
> Sets the policy of idle mode detach for a subscriber to its default behavior as implicit.
> idle-mode detach
> This keyword configures the IDLE mode detach behavior of a UE.
> detach
> This keyword defines the detach procedure while UE is in IDLE mode.
> explicit
> Default: disabled
> This keyword enables the explicit detach while a UE is in IDLE mode. System will page UE before detach procedure started and then perform explicit detach procedure.
> implicit
> Default: Enabled
> This keyword enables the implicit detach while a UE is in IDLE mode. System never send any message to UE before detach and performs explicit detach procedure immediately.
> Usage
> Use this command to set the user-defined policies for session management in this MME service.
> Example
> The following command sets the idle mode detach policy to explicit for a user in this MME service.
> policy idle-mode detach explicit
> policy overload
> This command configures the traffic overload policy to control congestion in this service.
> Product
> MME
> Privilege
> Administrator
> Syntax
> policy overload { drop | reject }
> default policy overload
> default
> Sets the traffic overload policy action to default behavior of reject.
> drop
> Default: Disabled
> Specifies that the system is to drop the incoming packets with new session requests to avoid overload on MME node.
> reject
> Default: Enabled
> This keyword configures the system to reject the new session/call request and responds with a reject message when threshold for allowed call session is crossed on MME node.
> Usage
> Use this command to set the user-defined policies for new call connection attempted during overload in an MME service.
> Congestion policies at the service-level can be configured for service. When congestion control functionality is enabled at service level, these policies dictate how services respond should the system detect that a congestion condition threshold has been crossed.
> Example
> The following command sets the nw call connect policy to reject the new session/call request in an MME service.
> policy overload reject
> policy pdn-reconnection
> This command configures the action by MME when a PDN connection request to an already connected APN is being processed by MME service.
> Product
> MME
> Privilege
> Security Administrator, Administrator
> Syntax
> policy pdn-reconnection {multiple | reject | restart}
> [default] policy pdn-reconnection
> default
> Sets the policy of PDN reconnection to its default behavior of reject.
> multiple
> Default: Disabled
> This keyword allows multiple connections to a PDN with same APN and PDN Type. In this case, the existing connection is left unchanged, and the MME attempts to establish an additional connection to the PDN.
> reject
> Default: Enabled
> This keyword configures set the action of MME to deny or reject the request, by sending a PDN connection reject command. This is the default behavior.
> restart
> Default: Disabled
> This keyword deletes the existing connection and initiate an attempt to establish a new connection.
> Usage
> Use this command to set the user-defined policies for PDN reconnection attempt procedures initiated by UE in an MME service.
> While a UE is attached, the UE can request connections to PDNs. The PDNs are identified by APN (Access Point Name) and PDN Type (ipv4, ipv6 or ipv4v6).
> If the UE requests connection to a PDN for which a connection with the same APN name and PDN type already exists, the MME can; 1) deny or Reject the request, by sending a PDN connection reject command; 2) allow multiple connections to a PDN with same APN and PDN Type; or 3) delete the existing connection, and attempt to establish a new connection.
> Example
> The following command sets the PDN reconnect policy to delete the existing PDN and start the attempt to establish a new connection in an MME service.
> policy pdn-reconnection restart
> s1-mme sctp port
> This command configures the source SCTP port that will be used for binding the SCTP socket to communicate with the eNodeB using S1AP with this MME service.
> Product
> MME
> Privilege
> Security Administrator, Administrator
> Syntax
> s1-mme sctp port port_num
> default s1-mme sctp port
> default
> Sets the SCTP port to default value of 699 to communicate with the eNodeBs using S1-MME interface.
> port_num
> Specifies the SCTP port number to communicate with the eNodeBs using S1-MME interface.
> port_num must be an integer between 1 through 65535.
> Usage
> Use this command to assign the SCTP port with SCTP socket to communicate with the eNodeB using S1AP.
> A maximum of one SCTP port can be associated with one MME service.
> Example
> The following command sets the default SCTP port number 699 for to interact with eNodeB using S1AP on S1-MME interface.
> default s1-mme sctp port
> setup-timeout
> This command configures the timeout duration for call setup of MME calls in this MME service.
> Product
> MME
> Privilege
> Security Administrator, Administrator
> Syntax
> setup-timeout dur
> default setup-timeout
> default
> Sets the call setup timeout duration to default value of 60 seconds.
> dur
> Default: 60
> Specifies the call setup timeout duration for MME calls after which attempt will be discarded.
> dur must be an integer between 1 through 10000.
> Usage
> Use this command to configured the timeout duration in seconds to setup an MME call with an MME service. One this duration exhausted Call setup procedure will be discarded with this MME service.
> Example
> The following command sets the default setup timeout duration of 60 seconds for MME calls:
> default setup-timeout
> sgw-address
> This command configures the Serving Gateway (S-GW) address to use P-MIP protocol for S5 and S8 interface and other parameters with MME service. By default S5 and S8 use GTP protocol for this.
> Product
> MME
> Privilege
> Security Administrator, Administrator
> Syntax
> sgw-address address [ s5-s8-protocol pmip ] [ tai tac tac_value [ mcc mcc_value mnc mnc_value]] [ weight weight_value ]
> no sgw-address address [ s5-s8-protocol pmip ] [ tai tac tac_value [ mcc mcc_value mnc mnc_value]]
> no
> Removes a previously configured IP address of S-GW along with S5 and S8 interface of P-MIP protocol type and other parameters from this MME service.
> address
> Specifies the IP address of the S-GW.
> address must be an IP address in IPv4 or IPv6 notation.
> s5-s8-protocol pmip
> Specifies that P-MIP type of protocol to use for S5 and S8 interfaces with P-GW. By default S5 and S8 interface uses GTP protocol.
> pmip Sets the protocol to Proxy-MIP for S5 and S8 interface as by default GTP is the applicable protocol.
> tai tac tac_value
> Specifies the tracking area identifier (TAI) for S-GW. It configures the Tracking Area Code (TAC) for S-GW in MME service.
> tac_value must be an integer from 1 through 268435455.
> mcc mcc_value
> Specifies the mobile country code (MCC) part of tracking area identifier.
> mcc_value must be an integer value from 101 through 998.
> mnc mnc_value
> Specifies the mobile network code (MNC) part of tracking area identifier.
> mcc_value must be an integer value from 01 through 998.
> weight weight_value
> Assigns the weight to P-GW address to use as a preferred S-GW.
> weight_value must be an integer from 1 through 100. Lowest value has the least preference.
> Usage
> Use this command to configure the Serving Gateway (S-GW) addresses to use with MME service along with tracking area Identifier and tracking area code. This command also configures the S5 and S8 interface protocol type and priority and weight to share the load between associated S-GWs. A maximum of 16 S-GW addresses can be configured with this command.
> This command only changes the use of protocol in S5 and S8 interface. By default S-GW uses GTP protocol for S5 and S8 interfaces. By this command user can change the protocol to P-MIP for S5 and S8 interface.
> When weight is used, the weights of the S-GW(s) (that are operational) are totaled and then weighted round-robin selection is used to distribute new default bearer context among the S-GW(s) according to their weights.
> Example
> The following command associates the S-GW IP address of 192.168.3.1 to the MME service with S5 and S8 protocol as P-MIP along with tracking area code as 20 and weight as 90.
> pgw-address 192.168.3.1 s5-s8-protocol pmip tai tac 20 weight 90
> The following command removes the above configured S-GW IP address, P-MIP protocol setting, and other parameters:
> no sgw-address 192.168.3.1 s5-s8-protocol pmip tai tac 20
> ue-db
> This command configures the UE database which is maintained by MME as cache of EPS context per UE keyed by IMSI/GUTI to allow UE to attach by GUTI and reuse previously established security parameters. This cache will be maintained in each session manager where the first attach occurred for an UE.
> Product
> MME
> Privilege
> Security Administrator, Administrator
> Syntax
> ue-db purge-timeout dur_mins
> default ue-db purge-timeout
> default
> Resets the UE database purge timer timeout to the system default value of 10080 mins.
> purge-timeout dur_mins
> Default: 10080
> Sets the timeout duration for MME to store UE database in cache memory.
> This timer starts when UE goes in dormant.
> dur_mins is timeout duration in minutes and must be an integer from 1 through 20160.
> Usage
> Use this command to set timeout duration for MME to hold UE database information in cache memory.
> The MME DB acts as a cache for storing subscriber related information. This subscriber related information helps in reducing signaling traffic. The MME DB is a part of the Session Manager and interfaces between the Session Manager Application and Evolved Mobility Management Manager to provide access to the cached data.
> Example
> The following command configures the MME database cache timer to hold the UE information up to 7 days (10080 minutes) in MME Database.
> default ue-db purge-timeout

Cisco Systems Inc.
Tel: 408-526-4000
Fax: 408-527-0883